LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XErrorBroadcaster Interface Referencepublished

provides the possibility of receiving database error events. More...

`import <XErrorBroadcaster.idl;`

Inheritance diagram for XErrorBroadcaster:

## Public Member Functions
void | addErrorListener ([in] com::sun::star::form::XErrorListener aListener)
| adds the specified listener to be notified of errors.
void | removeErrorListener ([in] com::sun::star::form::XErrorListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides the possibility of receiving database error events.

Please do not use anymore, this interface is superseded by com::sun::star::sdb::XSQLErrorBroadcaster.

Deprecated

## Member Function Documentation

## ◆ addErrorListener()

void addErrorListener | ( | [in] com::sun::star::form::XErrorListener | aListener | ) |

adds the specified listener to be notified of errors.

## ◆ removeErrorListener()

void removeErrorListener | ( | [in] com::sun::star::form::XErrorListener | aListener | ) |

removes the specified listener.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XErrorBroadcaster.idl